C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**** write the i-deas nodal result file :                          ***
C**   ----------------------------------                            ***
C**                                                                 ***
        IVEM(120)=LOUT
        IVEM(121)=CNTOUT*OUTFLG
        IVEM(127)=10+SET
        IVEM(128)=IVEM(32)
        IVEM(129)=IVEM(33)

        IVEM(130)=0
	IF (IVEM(129).GT.9) THEN
          IVEM(131)=0
          IVEM(132)=0
	ELSEIF (IVEM(129).GT.6) THEN
          IVEM(131)=5
          IVEM(132)=2
        ELSEIF (IVEM(129).GT.3) THEN
          IVEM(131)=4
          IVEM(132)=2
        ELSEIF (IVEM(129).GT.1) THEN
          IVEM(131)=2
          IVEM(132)=11
        ELSE
          IVEM(131)=1
          IVEM(132)=5
        ENDIF
	IVEM(137)=SET
	IVEM(138)=TCOUNT
        TEXT2='solution'
      
        CALL VEID97(TITLE(SET),TEXT2,T,LUG,RBIG(UG),LIVEM,IVEM,
     &              LNEK,NEK,LRPARM,RPARM,LIPARM,IPARM,
     &              LDNOD,DNOD,LRDPRM,RDPARM,LIDPRM,
     &              IDPARM,LNODN,NODNUM,LNOD,NOD,LNOPRM,NOPARM,
     &              LBIG2,RBIG(RBIG2),IBIG(IBIG2))
        IF (IVEM(2).NE.0) GOTO 9999
	NAME=FILE(SET)
	IF (MYPROC.EQ.1) WRITE(1,3030) TCOUNT,T,SET,IVEM(129),
     &      TITLE(SET),NAME(:INDEX(NAME,' '))
